LibreOffice: XThesaurus Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Member Functions | List of all members
XThesaurus Interface Referencepublished

allows for the retrieval of possible meanings for a given word and language. More...

`import"XThesaurus.idl";`

Inheritance diagram for XThesaurus:

## Public Member Functions
sequence< com::sun::star::linguistic2::XMeaning > | queryMeanings ([in] string aTerm, [in] com::sun::star::lang::Locale aLocale, [in] com::sun::star::beans::PropertyValues aProperties) raises ( com::sun::star::lang::IllegalArgumentException )
Public Member Functions inherited from XSupportedLocales
sequence< com::sun::star::lang::Locale > | getLocales ()
boolean | hasLocale ([in] com::sun::star::lang::Locale aLocale)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows for the retrieval of possible meanings for a given word and language.

The meaning of a word is in essence a descriptive text for that word. Each meaning may have several synonyms where a synonym is a word (or small text) with the same or similar meaning.

See also
  com::sun::star::linguistic2::XSupportedLocales

## Member Function Documentation

## ◆ queryMeanings()

sequence< com::sun::star::linguistic2::XMeaning > queryMeanings | ( | [in] string | aTerm,
|  | [in] com::sun::star::lang::Locale | aLocale,
|  | [in] com::sun::star::beans::PropertyValues | aProperties
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

Returns
  a list of meanings for the given word and language.

Parameters

  aTerm | the word to query for its meanings.
  aLocale | specifies the language of the word.

If the language is not supported, an com::sun::star::lang::IllegalArgumentException exception is raised.

Parameters

  aProperties | provides property values to be used for this function call only. It is usually empty in order to use the default values supplied with the property set.

See also
  com::sun::star::lang::Locale
  com::sun::star::linguistic2::XMeaning

The documentation for this interface was generated from the following file:

- com/sun/star/linguistic2/XThesaurus.idl